<?
$total_dias=0;
$total_liberado=0;
$total_agendado=0;
$total_confirmado=0;
$total_disponivel=0;

include("../funcoes.inc");
include("config.php");
include("conexao_sinsweb.php");
  
?>


<html>
<style type="text/css">
@import url(../css/fourthcoffee.css);
.style1 {	font-family: Verdana;
	font-size: 8.5pt;
	color: black;
}
</style>
<head>
<link rel="stylesheet" type="text/css" href="../css/anylinkcssmenu.css" />

<script type="text/javascript" src="../js/anylinkcssmenu.js">

/***********************************************
* AnyLink CSS Menu script v2.0- © Dynamic Drive DHTML code library (www.dynamicdrive.com)
* This notice MUST stay intact for legal use
* Visit Project Page at http://www.dynamicdrive.com/dynamicindex1/anylinkcss.htm for full source code
***********************************************/

</script>

<script type="text/javascript">

//anylinkcssmenu.init("menu_anchors_class") ////Pass in the CSS class of anchor links (that contain a sub menu)
anylinkcssmenu.init("anchorclass")
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Administração</title>
</head>

<body>
<table width="50%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td width="90%"><table class=MsoNormalTable border=0 cellpadding=0 width="50%"
 style='width:90.0%;mso-cellspacing:1.5pt;mso-padding-alt:0cm 0cm 0cm 0cm'>
      <tr style='mso-yfti-irow:5'>
        <td width="92%" style='padding:0cm 0cm 0cm 0cm'><strong><span class="style1">Agendamento de Homologa&ccedil;&atilde;o Online [<? echo date('d/m/Y H:i'); ?>]</span></strong></td>
        <td width="8%" style='padding:0cm 0cm 0cm 0cm'>&nbsp;</td>
        </tr>
      <tr style='mso-yfti-irow:5'>
        <td colspan="2" style='padding:0cm 0cm 0cm 0cm'><p class=MsoNormal><span style='font-size:7.5pt;font-family:Verdana;
  color:#333333'> <img width=1 height=5
  src="../img/image002.gif" v:shapes="_x0000_i1033">
          <o:p></o:p>
          </span></p></td>
        </tr>
      <tr style='mso-yfti-irow:6'>
        <td colspan="2" style='background:#A8B7BF;padding:0cm 0cm 0cm 0cm'><p class=MsoNormal><span style='font-size:7.5pt;font-family:Verdana;
  color:#333333'> <img width=1 height=1
  src="../img/image003.gif" v:shapes="_x0000_i1034">
          <o:p></o:p>
          </span></p></td>
        </tr>
      <tr style='mso-yfti-irow:7'>
        <td colspan="2" style='padding:0cm 0cm 0cm 0cm'><p class=MsoNormal align=right style='text-align:right'><span
  style='font-size:8.5pt;font-family:Verdana;color:black'> <img width=1 height=5
  src="../img/image002.gif" v:shapes="_x0000_i1035">
          <o:p></o:p>
          </span></p></td>
        </tr>
      <tr style='mso-yfti-irow:8;mso-yfti-lastrow:yes'>
        <td  colspan="2" ><p class="product_orderinfo"><a href="#" class="anchorclass" rel="mnAdministrar"><span class="style1">ADMINISTRAR</span></a></p></td>
      </tr>
      <tr style='mso-yfti-irow:5'>
        <td colspan="2" style='padding:0cm 0cm 0cm 0cm'><p class=MsoNormal><span style='font-size:7.5pt;font-family:Verdana;
  color:#333333'> <img width=1 height=5
  src="../img/image002.gif" v:shapes="_x0000_i1033">
          <o:p></o:p>
          </span></p></td>
      </tr>
      <tr style='mso-yfti-irow:5'>
        <td colspan="2" style='background:#A8B7BF;padding:0cm 0cm 0cm 0cm'><p class=MsoNormal><span style='font-size:7.5pt;font-family:Verdana;
  color:#333333'> <img width=1 height=1
  src="../img/image003.gif" v:shapes="_x0000_i1034">
          <o:p></o:p>
          </span></p></td>
        </tr>
      <tr style='mso-yfti-irow:5'>
        <td colspan="2" style='padding:0cm 0cm 0cm 0cm'><div id="lista">
          <?
  $sql_disponibilidade=("	
		SELECT substring(data_hora from 1 for 10) as dia_marcado,
			count(data_hora) as qte_liberada 
		FROM datas_homologacao 
		WHERE data_hora > CURDATE()
		GROUP BY substring(data_hora from 1 for 10)
  ");
  $query_disponibilidade=mysql_query($sql_disponibilidade)
  or die (header("Location:erro.php?txtmensagem="."ERRO NO LEVANTAMENTO DE DISPONIBILIDADE"));

    {
echo "<table width='50%' border='1' cellpadding='0' cellspacing='0' bordercolor='#000000'>";
echo "<tr bgcolor='#FFFF00'>";
echo "<td align='center'><span class='style1'><strong>Data Agenda</strong></stan></td>";
echo "<td align='center'><span class='style1'><strong>Qte Horários</strong></stan></td>";
echo "<td align='center'><span class='style1'><strong>Qte Agendada</strong></stan></td>";
echo "<td align='center'><span class='style1'><strong>Qte Confirmada</strong></stan></td>";
echo "<td align='center'><span class='style1'><strong>Qte Disponivel</strong></stan></td>";
echo "</tr>";

/*Enquanto houver dados na tabela para serem mostrados será executado tudo que esta dentro do while */

while($escrever_disponibilidade=mysql_fetch_array($query_disponibilidade)){
/*Escreve cada linha da tabela*/


echo "<tr>";
echo "<td align='center'><span class='style1'>";
$data_agenda=strtotime($escrever_disponibilidade[dia_marcado]); 
$data_agenda=date("d/m/Y",$data_agenda); 
$total_dias=$total_dias+1;
echo '&nbsp;'.$data_agenda.'&nbsp;';
echo "</stan></td>";

echo "<td align='center'><span class='style1'>";
$qte_liberada=$escrever_disponibilidade[qte_liberada];
$total_liberado=$total_liberado+$qte_liberada;
echo $qte_liberada;
echo "</stan></td>";
//INICIO - Listar a quantidade agendada ==========================================
  $sql_agendado=("	
		SELECT substring(data_hora from 1 for 10) as dia_marcado,
			count(data_hora) as qte_agendada
		FROM agendamento 
		WHERE trabalhador_nome <>'' and (substring(data_hora from 1 for 10) = '$escrever_disponibilidade[dia_marcado]')
		GROUP BY substring(data_hora from 1 for 10)
  ");
  $query_agendado=mysql_query($sql_agendado)
  or die (header("Location:erro.php?txtmensagem="."ERRO NO LEVANTAMENTO DE AGENDAMENTO"));
  $num_rows = mysql_num_rows($query_agendado);
  if($num_rows>=1)
  {$qteAgendada=mysql_result($query_agendado,$i,"qte_agendada");}
  else
  {$qteAgendada=0;}
echo "<td align='center'><span class='style1'>";
$total_agendado=$total_agendado+$qteAgendada;
echo $qteAgendada;
echo "</stan></td>";
//FIM ==========================================


//INICIO - Listar a quantidade confirmada ==========================================
  $sql_confirmada=("	
		SELECT substring(data_hora from 1 for 10) as dia_marcado,
			count(data_hora) as qte_confirmada
		FROM agendamento 
		WHERE (trabalhador_nome <> '') and (cod_cancelamento = 0) and (substring(data_hora from 1 for 10) = '$escrever_disponibilidade[dia_marcado]')
		GROUP BY substring(data_hora from 1 for 10)
  ");
  $query_confirmada=mysql_query($sql_confirmada)
  or die (header("Location:erro.php?txtmensagem="."ERRO NO LEVANTAMENTO DOS CANCELAMENTOS"));
  $num_rows = mysql_num_rows($query_confirmada);
  if($num_rows>=1)
  {$qte_confirmada=mysql_result($query_confirmada,$i,"qte_confirmada");}
  else
  {$qte_confirmada=0;}

echo "<td align='center'><span class='style1'>";
$total_confirmado=$total_confirmado+$qte_confirmada;
echo $qte_confirmada;
echo "</stan></td>";
//FIM ==========================================

//INICIO - Listar a quantidade disponivel ==========================================
  $sql_disponivel=("	
		SELECT substring(data_hora from 1 for 10) as dia_marcado,
			count(data_hora) as qte_disponivel
		FROM datas_homologacao 
		WHERE (cod_agendamento = 0) and (substring(data_hora from 1 for 10) = '$escrever_disponibilidade[dia_marcado]')
		GROUP BY substring(data_hora from 1 for 10)
  ");
  $query_disponivel=mysql_query($sql_disponivel)
  or die (header("Location:erro.php?txtmensagem="."ERRO NO LEVANTAMENTO DOS HORARIOS DISPONIVEIS"));
  $num_rows = mysql_num_rows($query_disponivel);
  if($num_rows>=1)
  {$qte_disponivel=mysql_result($query_disponivel,$i,"qte_disponivel");}
  else
  {$qte_disponivel=0;}
  
echo "<td align='center'><span class='style1'>";
$total_disponivel=$total_disponivel+$qte_disponivel;
echo $qte_disponivel;
echo "</stan></td>";
//FIM ==========================================


echo "</stan></td>";

echo "</tr>";
}/*Fim do while*/

echo "<tr bgcolor='#FFFF00'>";
echo "<td align='center'><span class='style1'>".$total_dias.' Dias'."</td>";

echo "<td align='center'><span class='style1'>".$total_liberado."</td>";

echo "<td align='center'><span class='style1'>".$total_agendado."</td>";

echo "<td align='center'><span class='style1'>".$total_confirmado."</td>";

echo "<td align='center'><span class='style1'>".$total_disponivel."</td>";


echo "</tr>";

echo "</table>"; /*fecha a tabela apos termino de impressão das linhas*/
}

echo "</td>";
echo "</tr>";



echo "</table>";

?>
          <!--***Menu Administrar**-->
        </div></td>
        </tr>
<td></td>        </tr>
    </table></td>
  </tr>
</table>
<div id="mnAdministrar" class="anylinkcss">
  <ul>
<li><p><a href="#" class="anchorclass someotherclass" rel="subAgenda" rev="lr">	Agendamentos</a></p></li>
<li><p><a href="#" class="anchorclass someotherclass" rel="subCancela" rev="lr">Cancelamentos</a></p></li>
<li><p><a href="#" class="anchorclass someotherclass" rel="subInserirHorarios" rev="lr">Inserir horários na agenda</a></p></li>
</ul>
</div>

<div id="subAgenda" class="anylinkcss">
  <ul>
<li><a href="get_filial.php" >	Por Filial</a></li>
<li><a href="get_empresa.php" >	Por Empresa</a></li>
<li><a href="get_protocolo.php">Por Protocolo</a></li>
<li><a href="get_cpf.php">		Por CPF</a></li>
<li><a href="get_data.php">		Por Data</a></li>
</ul>
</div>

<div id="subCancela" class="anylinkcss">
  <ul>
<li><a href="lista_agenda_can.php">	Todos</a></li>
<li><a href="get_protocolo.php">	Por Protocolo</a></li>
<li><a href="get_data.php">			Por Data</a></li>
</ul>
</div>

<div id="subInserirHorarios" class="anylinkcss">
  <ul>
<li><a href="upload.php">	Por Script</a></li>
<li><a href="insere_horario.php">	Único</a></li>
</ul>
</div>


</body>
  
</html>